Announcement Announcement Module
Collapse
No announcement yet.
I am unable to upgrade STS from 2.6.0 to the latest version. Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • I am unable to upgrade STS from 2.6.0 to the latest version.

    I get a severe error thrown when I try to update STS to the latest version. I gooogled and googled for it in search of a solution to this showstopper problem but to no avail.

    I use STS for grails and Android. Deselecting Android related updates, I still get an error thrown.

    After going Licencing and selecting agree, as soon as it attempt to start the update process, it throws this exception:


    An error occurred while collecting items to be installed
    session context wasprofile=com.springsource.sts.ide, phase=org.eclipse.equinox.internal.p2.engine.phase s.Collect, operand=, action=).
    No repository found containing: osgi.bundle,com.springsource.sts,2.6.1.20110504100 0-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.bestpractices,2.6 .0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.config.core,2.6.0 .201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.config.flow,2.6.0 .201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.config.ui,2.6.0.2 01105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.content.core,2.6. 0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.core,2.6.0.201105 041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.frameworks.core,2 .6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.frameworks.ui,2.6 .0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.grails.core,2.6.0 .201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.grails.editor.gro ovy,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.grails.editor.gsp ,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.grails.explorer,2 .6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.grails.runonserve r,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.grails.ui,2.6.0.2 01105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.groovy.debug.core ,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.groovy.debug.ui,2 .6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.ide.configurator, 2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.ide.help,2.6.0.20 1105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.ide.metadata,2.6. 0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.ide.osgi,2.6.0.20 1105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.ide.ui,2.6.0.2011 05041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.maven,2.6.0.20110 5041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.quickfix,2.6.0.20 1105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.roo.core,2.6.0.20 1105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.roo.ui,2.6.0.2011 05041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.commons.vm ware.core,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.commons.vm ware.ui,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.insight.ui ,2.6.1.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.tc.core,2. 6.1.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.tc.reloadi ng,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.tc.ui,2.6. 1.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.tc.vmware. core,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.server.tc.vmware. ui,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.ui,2.6.0.20110504 1000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.vmware.core,2.6.0 .201105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.vmware.ui,2.6.0.2 01105041000-RELEASE
    No repository found containing: osgi.bundle,com.springsource.sts.wizard,2.6.0.2011 05041000-RELEASE
    No repository found containing: osgi.bundle,com.vmware.vixapi,2.6.0.201105041000-RELEASE
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse,2.1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.ant,2.1.3. xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.astviews,2 .1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codeassist .completion,2.1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.codebrowsi ng,2.1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.core,2.1.3 .xx-20110426-1500-e36
    No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.ecl ipse.feature,2.1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.quickfix,2 .1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.refactorin g,2.1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.codehaus.groovy.eclipse.ui,2.1.3.x x-20110426-1500-e36
    No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.hea dless.feature,2.1.3.xx-20110426-1500-e36
    No repository found containing: org.eclipse.update.feature,org.codehaus.groovy.jdt .patch,2.1.3.xx-20110426-1500-e36
    No repository found containing: org.eclipse.update.feature,org.codehaus.groovy17.f eature,2.1.3.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.eclipse.jdt.core,3.6.2.xx-20110426-1500-e36
    No repository found containing: osgi.bundle,org.eclipse.jdt.groovy.core,2.1.3.xx-20110426-1500-e36
    No repository found containing: org.eclipse.update.feature,com.springsource.sts,2. 6.1.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.gr ails,2.6.0.201105041000-RELEASE
    No repository found containing: binary,com.springsource.sts.ide_root.gtk.linux.x86 _64,2.6.1.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.ma ven,2.6.0.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.pa ckage,2.6.1.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.ro o,2.6.0.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.se rver.tc,2.6.1.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.tu torials,2.6.0.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.springsource.sts.vm ware,2.6.0.201105041000-RELEASE
    No repository found containing: org.eclipse.update.feature,com.vmware.vixapi,2.6.0 .201105041000-RELEASE
    No repository found containing: osgi.bundle,org.codehaus.groovy,1.7.8.xx-20110426-1500-e36

    Any help would be appreciated.

  • #2
    Hi!

    Can you take a look at the list of available update sites (Preferences -> Install/Update -> Available Update Sites) and check whether the normal STS update site is listed and checked?
    (should end with .../release/TOOLS/update/e3.6)

    -Martin

    Comment


    • #3
      [QUOTE=Martin Lippert;363681]Hi!

      Can you take a look at the list of available update sites (Preferences -> Install/Update -> Available Update Sites) and check whether the normal STS update site is listed and checked?
      (should end with .../release/TOOLS/update/e3.6)

      I checked and yes I have that:
      SpringSource Update Site for Eclipse 3.6 http://dist.springsource.com/release/TOOLS/update/e3.6 Enabled

      Comment


      • #4
        This is strange. I checked this again and the update site is up and running correctly. I was able to update a fresh copy of 2.6.0 using "Check for updates"... What version do you see when the "check for updates" dialog recognized a newer version that yours?

        Comment


        • #5
          This is the version it finds to update to;
          SpringSource Tool Suite 2.6.1.201105041000-RELEASE com.springsource.sts.ide

          but when I click Finish at this Dialog which was supposed to start the update, the error is thrown.

          Comment


          • #6
            Seems like downloading stuff from the update site causes problems in your setting. Lets try to see if it works with a local update site.

            Please download the update site from http://www.springsource.com/downloads/sts (2.6.1.RELEASE) and unpack it on your machine.
            Add this location as a local update site to the list of available update sites and uncheck the original STS update site.
            Do the "Check for Updates" again.

            HTH,
            Martin

            Comment

            Working...
            X